Open Infrastructure - Task #12339

Evaluate yaaok for openstack in k8s
01/06/2024 02:18 PM - Nico Schottelius

Status: Closed Start date: 01/06/2024
Priority: Normal Due date:

Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

¢ Does not have IPv6 support
¢ Created bug report at https:/gitlab.com/yaook/operator/-/issues/479 on 2023-11-29

2024-01-06 14:16:37,715 ERROR vyaook.op.daemon.yaook.cloud/vl.keystonedeployments.yaook.keystone
failed to reconcile state <yaook.statemachine.resources.k8s_authz.TemplatedRole component='polic
y_validation_management_role'>
Traceback (most recent call last):
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/api_utils.py", line 1101, in ge
t_cluster_domain
response = socket.gethostbyname_ex ("kubernetes.default.svc")

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA

socket.gaierror: [Errno -5] No address associated with hostname
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/statemachine.py", line 78, in _
ensure_state
await state.reconcile(
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrappe

return await function (*args, **kwargs)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 762, in
reconcile
new_body = await self._make_body (ctx, dependencies)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 966, in
_make_body
await self._get_template_parameters(ctx, dependencies),

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAN

File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrappe

return await function (*args, **kwargs)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 984, in
_get_template_parameters

result = await super()._get_template_parameters (ctx, dependencies)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 907, in
_get_template_parameters
"cluster_domain": api_utils.get_cluster_domain(),
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/api_utils.py", line 1104, in ge
t_cluster_domain
raise KeyError ("No DNS Response for kubernetes.default.svc. Maybe we "
KeyError: 'No DNS Response for kubernetes.default.svc. Maybe we are not running inside a cluster.
You can set YAOOK_OP_CLUSTER_DOMAIN to override it'
2024-01-06 14:16:37,735 ERROR vaook.op.tasks task TaskItem(func=<bound method OperatorDaemon._
reconcile_cr of <yaook.op.daemon.OperatorDaemon object at 0x7£9151a86b50>>, data=(<CustomResource
https://gitlab.com/yaook/operator/-/issues/479

keystonedeployments.yaook.cloud/v1l>, 'yaook', 'keystone')) failed. retrying in 114.55600857834835s
Traceback (most recent call last):
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/api_utils.py", line 1101, in ge
t_cluster_domain
response = socket.gethostbyname_ex ("kubernetes.default.svc")

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAN

socket.gaierror: [Errno -5] No address associated with hostname
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.11/site-packages/yaook/op/tasks.py", line 313, in run_next_task
requeue = await func (*data)

AAAAAAAAAAAAAAAAA

File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrappe

return await function (*args, **kwargs)
File "/usr/local/lib/python3.11/site-packages/yaook/op/daemon.py", line 754, in _reconcile_cr
await cr_obj.reconcile(ctx, generation)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/customresource.py", line 742, 1
n reconcile
await super () .reconcile(ctx, generation)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrappe

return await function (*args, **kwargs)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/customresource.py", line 257, i
n reconcile
blocking = await self.sm.ensure (ctx)

AAAAAAAAAAAAAAAAAAAAAAAAA

File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrappe

return await function (*args, **kwargs)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/statemachine.py", line 152, in
ensure
ready = await self._ensure_state(state, ctx)

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA

File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrappe

return await function (*args, **kwargs)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/statemachine.py", line 78, in _
ensure_state
await state.reconcile(
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrappe

return await function (*args, **kwargs)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 762, in
reconcile
new_body = await self._make_body (ctx, dependencies)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 966, in
_make_body
await self._get_template_parameters (ctx, dependencies),

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAN

File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrappe

return await function(*args, **kwargs)
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 984, in
_get_template_parameters
result = await super()._get_template_parameters (ctx, dependencies)

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAN

File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 907, in
_get_template_parameters
"cluster_domain": api_utils.get_cluster_domain(),
File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/api_utils.py", line 1104, in ge
t_cluster_domain
raise KeyError ("No DNS Response for kubernetes.default.svc. Maybe we "
KeyError: 'No DNS Response for kubernetes.default.svc. Maybe we are not running inside a cluster.
You can set YAOOK_OP_CLUSTER_DOMAIN to override it'
2024-01-06 14:16:37,738 DEBUG vyaook.op.tasks next item is scheduled for 10408.364446871348 (in
114.56s)
2024-01-06 14:16:37,738 DEBUG vyaook.op.tasks next item is scheduled for 10408.364446871348 (in
114.56s)
2024-01-06 14:16:37,738 DEBUG vaook.op.tasks next item is scheduled for 10408.364446871348 (in
114.56s)

Related issues:
Related to Open Infrastructure - Task #12340: Evaluate openstack helm charts In Progress  01/06/2024

History

#1 - 01/06/2024 06:31 PM - Nico Schottelius

- Project changed from 45 to Open Infrastructure

#2 - 01/06/2024 06:35 PM - Nico Schottelius

- Description updated

#3 - 01/06/2024 06:36 PM - Nico Schottelius
- Related to Task #12340: Evaluate openstack helm charts added
